Name:		qstardict
Version:	0.08
Release:	%mkrel 1
# fwang: this one is GPLv2 only, because in the version upgrade of
# 0.06 -> 0.07, it changed from GPLv3 to GPLv2.
License:	GPLv2
URL:		http://qstardict.ylsoftware.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	qt4-devel glib2-devel desktop-file-utils ImageMagick
Source:		%{name}-%{version}.tar.bz2
Group:		Office
Summary:	StarDict clone written in Qt4
Requires:	stardict-dictionary = 2.4.2

%description
StarDict is a clone of StarDict written in Qt4.
Main features:
* Full support of StarDict dictionaries
* Working in system tray
* Scanning mouse selection and showing popup window with translation of selected word

%prep
%setup -q

%build
%{qt4dir}/bin/qmake
%make

%install
install -D -m755 bin/qstardict %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}
convert -resize 32x32 resources/qstardict.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
convert -resize 48x48 resources/qstardict.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -resize 16x16 resources/qstardict.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %buildroot%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir=%buildroot%{_datadir}/applications \
	--remove-category='Utility' \
	--add-category='Office' \
	--remove-key='Encoding' \
	resources/qstardict.desktop

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Mon Nov 12 2007 Funda Wang <fundawang@mandriva.org> 0.08-1mdv2008.1
+ Revision: 108061
- New version 0.08

* Fri Sep 07 2007 Funda Wang <fundawang@mandriva.org> 0.07-1mdv2008.0
+ Revision: 82013
- New version 0.07

* Sat Sep 01 2007 Funda Wang <fundawang@mandriva.org> 0.06-1mdv2008.0
+ Revision: 77348
- New version 0.06

* Wed Aug 29 2007 Funda Wang <fundawang@mandriva.org> 0.05-1mdv2008.0
+ Revision: 73345
- convert suse style to mandriva style
- Import qstardict



* Tue Jul 31 2007 - Petr Vanek <petr@scribus.info>
- updated to 0.05
* Fri Jul 27 2007 - Nikolay Derkach <nderkach@gmail.com>
- update to 0.04
* Sun Jul 08 2007 - Nikolay Derkach <nderkach@gmail.com>
- initial package
